.columns {
  padding-top: 4rem;
}

.select__content {
  background-color: #fff;
  box-shadow: 8px 8px 24px 0 rgba(0, 0, 0, 0.15);
  padding: 1.5rem 2rem 2rem;
}

.select__title {
  font-size: clamp(0.75rem, 2vw, 1.25rem);
  font-weight: 700;
  margin-bottom: 1rem;
}

.filterTabs {
  border-bottom: 1px solid var(--colorGray350);
  display: flex;
  gap: 2rem;
  margin-bottom: 1rem;
  padding-bottom: 1rem;
}

.filterTab {
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
  position: relative;
}

.filterTab h2 {
  color: var(--colorGray750);
  font-size: 1.125rem;
  font-weight: 700;
}

.filterTab.is-active h2 {
  color: var(--colorRed);
}

.filterTab.is-active::after {
  background: var(--colorRed);
  bottom: -1.03rem;
  content: "";
  height: 1px;
  left: 0;
  position: absolute;
  width: 100%;
}

.tagBlock {
  align-items: center;
  display: none;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.tagBlock.is-active {
  display: flex;
}

.tag {
  align-items: center;
  background-color: #f3f4f4;
  border: 1px solid transparent;
  cursor: pointer;
  display: inline-flex;
  font-size: clamp(0.75rem, 1vw, 0.875rem);
  gap: 0.5rem;
  padding: 0.5rem 1rem 0.5rem 0.5rem;
  transition: all 0.3s;
  user-select: none;
}

.tagButton {
  opacity: 0;
  pointer-events: none;
  position: absolute;
}

.radio {
  align-items: center;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 50%;
  box-sizing: border-box;
  display: inline-flex;
  height: 1rem;
  justify-content: center;
  transition: all 0.2s ease;
  width: 1rem;
}

.radio::after {
  background-color: #e01d11;
  border-radius: 50%;
  content: "";
  height: 0.5rem;
  transform: scale(0);
  transition: transform 0.2s ease;
  width: 0.5rem;
}

.tag:has(.tagButton:checked), .tag.is-active {
  background-color: #fff;
  border: 1px solid #fec9c7;
}

.tagButton:checked + .radio, .tag.is-active > .radio {
  border-color: #e01d11;
}

.tag.is-active > .radio {
  position: relative;
}

.tagButton:checked + .radio::after, .tag.is-active > .radio::after {
  transform: scale(1);
}

.tag.is-active > .radio::after {
  left: 50%;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
}

.tag:hover {
  background-color: #eaecec;
}

.column__item.filter-item {
  display: none;
}

.column__item.filter-item.show {
  animation: fadein 0.8s ease-out;
  display: block;
}

@keyframes fadein {
  0% {
    opacity: 0.3;
  }
  100% {
    opacity: 1;
  }
}

.columnBox {
  column-gap: 2rem;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  margin-top: 5rem;
  row-gap: 3.5rem;
}

.tag__column {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem 0.75rem;
  margin-top: 1rem;
}

.tag__item {
  background: var(--colorBg);
  font-size: 0.875rem;
  font-weight: 400;
  line-height: 150%;
  padding: 0.25rem 0.5rem;
}

.column__thumb {
  border: 1px solid #ddd;
  overflow: hidden;
}

.column__thumb img {
  aspect-ratio: 3 / 2;
  object-fit: cover;
  object-position: center;
  transition: 0.3s;
}

@media (hover: hover) {
  .column__item:hover img {
    transform: scale(1.1);
    transform-origin: center;
  }
}

.column__title {
  -webkit-box-orient: vertical;
  display: -webkit-box;
  font-size: 1.125rem;
  font-weight: 700;
  font-weight: 700;
  -webkit-line-clamp: 3;
  margin-top: 0.5rem;
  overflow: hidden;
  transition: 0.3s;
}

@media (hover: hover) {
  .column__item:hover .column__title {
    color: var(--colorRed);
  }
}

.cat__column {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem 1rem;
  margin-top: 0.5rem;
}

.cat__item {
  color: var(--colorGray);
  font-size: 0.875rem;
  font-weight: 400;
  line-height: 150%;
}

.archivePagination {
  margin-top: 5rem;
}

@media screen and (max-width: 767px) {
  .columns {
    padding-top: var(--size64);
  }

  .filterTabs {
    gap: var(--size32);
    margin-bottom: var(--size16);
    padding-bottom: var(--size16);
  }

  .filterTab h2 {
    font-size: var(--size16);
  }

  .filterTab.is-active::after {
    bottom: calc(var(--size17) * -1);
  }

  .columnBox {
    gap: var(--size40);
    margin-top: var(--size64);
  }

  .archivePagination {
    margin-top: var(--size64);
  }

  .select__content {
    padding: var(--size16) var(--size16) var(--size24) var(--size16);
  }
}
